DeluxHostAPI Reference
Storage users

Create a storage user

POST
/v1/services/{orderId}/storage/subusers

Authorization

apiToken storage:subusers:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:subusers:write

Path Parameters

orderId*number

Request Body

application/json
  1. body
label*string
path*string
readOnly*boolean

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
item*
password*string
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/subusers' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "label": "string",  "path": "string",  "readOnly": true}'
Example Response
{  "item": {    "username": "string",    "label": "string",    "path": "string",    "readOnly": true,    "enabled": true  },  "password": "string"}